
# covid19-edmonton

[![Build Status](https://drone.deadbeef.codes/api/badges/steven/covid19-edmonton/status.svg)](https://drone.deadbeef.codes/steven/covid19-edmonton)

Currently deployed at https://edmonton.deadbeef.codes

I was bored and want to keep tabs on this in my area.  Will download latest stats from alberta government website for COVID-19 and output the number of total and active cases in my area.  Here's an example, it runs and nearly instantaneous spits out the current numbers. 

![alt text][logo]

[logo]: https://deadbeef.codes/steven/covid19-edmonton/raw/master/example.png "The current stats at the current time (sometime in the past)"

### Web Mode

Simply invoke it with the -web flag and it will listen on port 8080

```bash
./covid19-edmonton -web
```

### Installation for Windows

Download from releases page and run it.  We're not fancy.  I can't even afford a code signing certificate.  

### Building from Source

1. Install Go from https://golang.org
2. Clone this repository
3. Run the command: go build .
